/**
 * XActRelationshipDocument2.java
 *
 * File generated from the medication2::XActRelationshipDocument2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActRelationshipDocument2.
 *
 * 
 */

@XmlType(name = "XActRelationshipDocument")
@XmlEnum
@XmlRootElement(name = "XActRelationshipDocument2")
public enum XActRelationshipDocument2 {
	@XmlEnumValue("RPLC")
	RPLC("RPLC"),
	@XmlEnumValue("APND")
	APND("APND"),
	@XmlEnumValue("XFRM")
	XFRM("XFRM");
	
	private final String value;

    XActRelationshipDocument2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XActRelationshipDocument2 fromValue(String v) {
        for (XActRelationshipDocument2 c: XActRelationshipDocument2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
